Gecode::TraceTraits< View > Class Template Reference

Traits for tracing. More...

`#include <traits.hpp>`

## Detailed Description

template<class View>
class Gecode::TraceTraits< View >

Traits for tracing.

The traits used for tracing are as follows:

- `typedef Type TraceView` where `Type` is the type of an appropriate duplicate view of View.
- `typedef Type TraceDelta/code> where `Type` is the type of an appropriate trace delta for View.`
- ``typedef Type TraceSlack/code> where `Type` is the type of an appropriate measure of slack for View.``

Definition at line 49 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/trace/traits.hpp